<?php include('partie1_admin.php');?>
<div id="coverer" align="center">

<?php 
if(isset($_GET['mark']))
{ $_GET['mark'] = htmlspecialchars($_GET['mark']);
include('connexion_mysql.php');
$retour = 'SELECT * FROM grpe_article,type_article WHERE grpe_article.id_grpe = type_article.id_grpe AND id_type = "'.$_GET['mark'].'"';
$res = $conn->query($retour);
while ($donnees = mysqli_fetch_array($res)) // On fait une boucle
{$id_type = stripslashes($donnees['id_type']);

echo'<h2><img src="img/fleche.gif" style="margin-bottom:-10px;" height="40" width="40">&nbsp<span style="text-transform:uppercase;">'.stripslashes($donnees['libelle_grpe']).'</span> &raquo;&nbsp;'.stripslashes($donnees['libelle_type']).'</h2>
<a href="liste_article.php?mark='.$id_type.'"><p class="bouton_design" style="display:inline-block; color:#fff;">retour</p></a>';
}}

elseif (isset($_GET['modifier_news']))

{$_GET['modifier_news'] = htmlspecialchars($_GET['modifier_news']);
include('connexion_mysql.php');
$retour1 = 'SELECT * FROM artcle WHERE id_article = "'.$_GET['modifier_news'].'"';
$res = $conn->query($retour1);
while ($donnees = mysqli_fetch_array($res)) // On fait une boucle
{$id_type = stripslashes($donnees['id_type']);

echo'<h2><img src="img/fleche.gif" style="margin-bottom:-10px;" height="40" width="40">&nbsp;'.stripslashes($donnees['titre']).'</h2>
<a href="liste_article.php?mark='.$id_type.'"><p class="bouton_design" style="display:inline-block; color:#fff;">retour</p></a>';
}

}



elseif (isset($_POST['envoyer']))
{echo'variable envoye!';}


?>

<?php
include('connexion_mysql.php');
if (isset($_GET['modifier_news'])) // Si on demande de modifier une news

{
// On protège la variable « modifier_news » pour éviter une faille SQL.

$_GET['modifier_news'] = htmlspecialchars($_GET['modifier_news']);
// On récupère les informations de la news correspondante.
$retour2 = 'SELECT * FROM artcle WHERE id_article=\'' .
$_GET['modifier_news'] . '\'';
$res = $conn->query($retour2);
$donnees = mysqli_fetch_array($res);
// On place le titre et le contenu dans des variables simples.
$titre = stripslashes($donnees['titre']);
$contenu = stripslashes($donnees['contenu']);
$date = stripslashes($donnees['date']);
$image = stripslashes($donnees['image']);
$desc_image = stripslashes($donnees['desc_image']);
$resume = stripslashes($donnees['resume']);
$lien_utile = stripslashes($donnees['lien_utile']);
$libelle_lien = stripslashes($donnees['libelle_lien']);
$video = stripslashes($donnees['video']);
$document = stripslashes($donnees['document']);
$id_type = stripslashes($donnees['id_type']);
$id_grpe = stripslashes($donnees['id_grpe']);

$id_news = $donnees['id_article']; // Cette variable va servir pour se souvenir que c'est une modification.

}

elseif(isset($_GET['mark']))  // C'est qu'on rédige une nouvelle news.
{$retour4 = 'SELECT * FROM type_article WHERE id_type=\'' .
$_GET['mark'] . '\'';
$res = $conn->query($retour);
$donnees = mysqli_fetch_array($res);
// On place le titre et le contenu dans des variables simples.
$id_grpe = stripslashes($donnees['id_grpe']);
$id_type = stripslashes($donnees['id_type']);
// Les variables $titre et $contenu sont vides, puisque c'est une nouvelle news.

$titre = '';
$contenu = '';
$date = '';
$image = '';
$desc_image = '';
$lien_utile = '';
$libelle_lien = '';
$video = '';
$document = '';
$resume = '';
$id_news = 0; // La variable vaut 0, donc on se souviendra que ce n'est pas une modification.

}?>
<form action="traitement_article.php" method="post" enctype="multipart/form-data">

<p>Titre* : <br /><input type="text" size="30" name="titre" value="<?php
echo $titre; ?>" /></p>

<p>
image* :&nbsp;
<input type="file" name="image" /><br />
</p>


<p  style="display:none;">Description de l'image<br /><input type="text" name="desc_image" value="<?php echo $desc_image; ?>" /></p><br />



<p  style="display:none">Couleur de l'&eacute;mission<br /><input type="text" name="resume" value="<?php echo $resume; ?>" /></p><br />

Contenu*  :<br />
<textarea name="contenu" style="width:400px; height:300px;">
<?php echo $contenu; ?>
</textarea><br />

<p>
Lien utile:&nbsp;
<input type="text" name="lien_utile" value="<?php echo $lien_utile; ?>" /><br />
</p>

<p>
Libell&eacute; du lien :&nbsp;
<input type="text" name="libelle_lien" value="<?php echo $libelle_lien; ?>" /><br />
</p>

<p>
Vid&eacute;o :&nbsp;
<input type="text" name="video" value="<?php echo $video; ?>" /><br />
</p>


<p>
Document :&nbsp;
<input type="file" name="fichier" /><br />
</p>


<input type="hidden" name="id_grpe" value="<?php echo $id_grpe;
?>" /><br />

<input type="hidden" name="id_type" value="<?php echo $id_type;
?>" /><br />


<input type="hidden" name="id_news" value="<?php echo $id_news;
?>" /><br />

<input type="hidden" name="date" value="<?php echo date("d/m/Y"); 
?>" />

<input type="submit" name="envoyer" value="Envoyer" />
</p>
</form>

<?php


 include('partie3_admin.php'); ?>